from flask import jsonify, abort, request
from flask_jwt_extended import jwt_required, get_jwt_identity

from flasgger import swag_from

from app.api import bp_product

from app.services.product import product_delete_service


@bp_product.route("/<int:product_id>/delete", methods=["DELETE"])
@jwt_required()
def delete_product(product_id: int):
    user_id = get_jwt_identity()


    result, status_code = product_delete_service.delete_product(user_id, product_id)

    return jsonify(result), status_code
